Purge soft-deleted schemas from a datasource

Permanently removes soft-deleted schemas and their child objects (tables, attributes) from a datasource. This operation is irreversible.

Requires the alation.ocf.datasource.rdbms.hard_delete.enabled feature flag to be enabled.

If schema_ids is provided in the request body, only those specific soft-deleted schemas and their children will be purged. If the request body is empty, all soft-deleted schemas in the datasource will be purged.

The purge runs asynchronously as a background job. Use the returned job_id with the Jobs API to track progress.

Path Params
integer
required

id of the datasource

Body Params

Request body for purging soft-deleted schemas from a datasource.

schema_ids
array of integers

List of schema IDs to purge. All schemas must belong to the datasource and be soft-deleted. If omitted, all soft-deleted schemas in the datasource will be purged.

schema_ids
Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json